WP5StylesListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP5StylesListener Class Reference

`#include <WP5StylesListener.h>`

Inheritance diagram for WP5StylesListener:

## Public Member Functions
| WP5StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList)
void | startDocument () override
void | startSubDocument () override
void | setFont (const librevenge::RVNGString &, double) override
void | setTabs (const std::vector< WPXTabStop > &, unsigned short) override
void | insertCharacter (unsigned) override
void | insertTab (unsigned char, double) override
void | insertIndent (unsigned char, double) override
void | characterColorChange (unsigned char, unsigned char, unsigned char) override
void | insertEOL () override
void | insertBreak (unsigned char breakType) override
void | attributeChange (bool, unsigned char) override
void | lineSpacingChange (double) override
void | justificationChange (unsigned char) override
void | pageMarginChange (unsigned char side, unsigned short margin) override
void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation) override
void | marginChange (unsigned char side, unsigned short margin) override
void | endDocument () override
void | endSubDocument () override
void | defineTable (unsigned char, unsigned short) override
void | addTableColumnDefinition (unsigned, unsigned, unsigned, unsigned, unsigned char) override
void | startTable () override
void | insertRow (unsigned short rowHeight, bool isMinimumHeight, bool isHeaderRow) override
void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, WPXVerticalAlignment cellVerticalAlignment, bool useCellAttributes, unsigned cellAttributes) override
void | endTable () override
void | insertNoteReference (const librevenge::RVNGString &) override
void | insertNote (WPXNoteType, const WP5SubDocument *) override
void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, const std::shared_ptr< WP5SubDocument > &subDocument) override
void | suppressPageCharacteristics (unsigned char suppressCode) override
void | boxOn (unsigned char, unsigned char, unsigned short, unsigned short, unsigned short, unsigned short) override
void | boxOff () override
void | insertGraphicsData (const librevenge::RVNGBinaryData *) override
Public Member Functions inherited from WP5Listener
| WP5Listener ()
virtual | ~WP5Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | setFont (const librevenge::RVNGString &fontName, double fontSize)=0
virtual void | setTabs (const std::vector< WPXTabStop > &tabStops, unsigned short tabOffset)=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertIndent (unsigned char indentType, double indentPosition)=0
virtual void | insertEOL ()=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | lineSpacingChange (double lineSpacing)=0
virtual void | justificationChange (unsigned char justification)=0
virtual void | characterColorChange (unsigned char red, unsigned char green, unsigned char blue)=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | pageMarginChange (unsigned char side, unsigned short margin)=0
virtual void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)=0
virtual void | marginChange (unsigned char side, unsigned short margin)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0
virtual void | defineTable (unsigned char position, unsigned short leftOffset)=0
virtual void | addTableColumnDefinition (unsigned width, unsigned leftGutter, unsigned rightGutter, unsigned attributes, unsigned char alignment)=0
virtual void | startTable ()=0
virtual void | insertRow (unsigned short rowHeight, bool isMinimumHeight, bool isHeaderRow)=0
virtual void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, WPXVerticalAlignment cellVerticalAlignment, bool useCellAttributes, unsigned cellAttributes)=0
virtual void | endTable ()=0
virtual void | insertNoteReference (const librevenge::RVNGString &noteReference)=0
virtual void | insertNote (WPXNoteType noteType, const WP5SubDocument *subDocument)=0
virtual void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, const std::shared_ptr< WP5SubDocument > &subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | boxOn (unsigned char positionAndType, unsigned char alignment, unsigned short width, unsigned short height, unsigned short x, unsigned short y)=0
virtual void | boxOff ()=0
virtual void | insertGraphicsData (const librevenge::RVNGBinaryData *data)=0
void | setPrefixData (WP5PrefixData *prefixData)
const WP5GeneralPacketData * | getGeneralPacketData (const int type) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP5StylesListener (const WP5StylesListener &)
WP5StylesListener & | operator= (const WP5StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
WPXTableList | m_tableList
std::shared_ptr< WPXTable > | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP5StylesListener() [1/2]

WP5StylesListener::WP5StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList
| ) |  |

## ◆ WP5StylesListener() [2/2]

WP5StylesListener::WP5StylesListener | ( | const WP5StylesListener & |  | ) |
| private

## Member Function Documentation

## ◆ _handleSubDocument()

void WP5StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), and insertBreak().

## ◆ addTableColumnDefinition()

void WP5StylesListener::addTableColumnDefinition | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ attributeChange()

void WP5StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ boxOff()

void WP5StylesListener::boxOff | ( |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ boxOn()

void WP5StylesListener::boxOn | ( | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | unsigned short | ,
|  | unsigned short | ,
|  | unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ characterColorChange()

void WP5StylesListener::characterColorChange | ( | unsigned char | ,
|  | unsigned char | ,
|  | unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ defineTable()

void WP5StylesListener::defineTable | ( | unsigned char | ,
|  | unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ endDocument()

void WP5StylesListener::endDocument | ( |  | ) |
| overridevirtual

Implements WP5Listener.

## ◆ endSubDocument()

void WP5StylesListener::endSubDocument | ( |  | ) |
| overridevirtual

Implements WP5Listener.

Referenced by WP5Parser::parseSubDocument().

## ◆ endTable()

void WP5StylesListener::endTable | ( |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ headerFooterGroup()

void WP5StylesListener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | const std::shared_ptr< WP5SubDocument > & | subDocument
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ insertBreak()

void WP5StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| overridevirtual

Implements WP5Listener.

Referenced by endDocument(), and endSubDocument().

## ◆ insertCell()

void WP5StylesListener::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | WPXVerticalAlignment | cellVerticalAlignment,
|  | bool | useCellAttributes,
|  | unsigned | cellAttributes
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ insertCharacter()

void WP5StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertEOL()

void WP5StylesListener::insertEOL | ( |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertGraphicsData()

void WP5StylesListener::insertGraphicsData | ( | const librevenge::RVNGBinaryData * |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertIndent()

void WP5StylesListener::insertIndent | ( | unsigned char | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertNote()

void WP5StylesListener::insertNote | ( | WPXNoteType | ,
|  | const WP5SubDocument * |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertNoteReference()

void WP5StylesListener::insertNoteReference | ( | const librevenge::RVNGString & |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ insertRow()

void WP5StylesListener::insertRow | ( | unsigned short | rowHeight,
|  | bool | isMinimumHeight,
|  | bool | isHeaderRow
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ insertTab()

void WP5StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ justificationChange()

void WP5StylesListener::justificationChange | ( | unsigned char |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ lineSpacingChange()

void WP5StylesListener::lineSpacingChange | ( | double |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ marginChange()

void WP5StylesListener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ operator=()

WP5StylesListener & WP5StylesListener::operator= | ( | const WP5StylesListener & |  | ) |
| private

## ◆ pageFormChange()

void WP5StylesListener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ pageMarginChange()

void WP5StylesListener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| overridevirtual

Implements WP5Listener.

## ◆ setFont()

void WP5StylesListener::setFont | ( | const librevenge::RVNGString & | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ setTabs()

void WP5StylesListener::setTabs | ( | const std::vector< WPXTabStop > & | ,
|  | unsigned short |
| ) |  |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ startDocument()

void WP5StylesListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

## ◆ startSubDocument()

void WP5StylesListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP5Listener.

Referenced by WP5Parser::parseSubDocument().

## ◆ startTable()

void WP5StylesListener::startTable | ( |  | ) |
| overridevirtual

Implements WP5Listener.

## ◆ suppressPageCharacteristics()

void WP5StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| overridevirtual

Implements WP5Listener.

## Member Data Documentation

## ◆ m_currentPage

WPXPageSpan WP5StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), and suppressPageCharacteristics().

## ◆ m_currentPageHasContent

bool WP5StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCell(), insertCharacter(), insertEOL(), insertIndent(), insertRow(), insertTab(), marginChange(), pageFormChange(), and startTable().

## ◆ m_currentTable

std::shared_ptr<WPXTable> WP5StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), insertCell(), insertRow(), and startTable().

## ◆ m_isSubDocument

bool WP5StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

## ◆ m_nextPage

WPXPageSpan WP5StylesListener::m_nextPage
| private

Referenced by headerFooterGroup(), and insertBreak().

## ◆ m_pageListHardPageMark

std::list<WPXPageSpan>::iterator WP5StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), and marginChange().

## ◆ m_tableList

WPXTableList WP5StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), and startTable().

## ◆ m_tempMarginLeft

double WP5StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

## ◆ m_tempMarginRight

double WP5StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP5StylesListener.h
- WP5StylesListener.cpp